import {
  IonContent,
  IonButton,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
  IonCard,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonNavLink,
  IonFooter,
  IonTabButton,
  IonIcon,
  IonLabel,
  IonImg,
  IonCol,
  IonGrid,
  IonRow
} from '@ionic/react';
import { square } from 'ionicons/icons';
import './HomePage.css';
import ListBiographies from './ListBiographies';
import ListCapsules from './ListCapsules';
import AboutUs from './AboutUs';
import EnciclopediaPR from '../assets/EnciclopediaPR.png';

const HomePage: React.FC = () => {
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonGrid fixed={true}>
            <IonRow>
              <IonCol></IonCol>
              <IonCol>
                <IonImg style={{ height: 50, width: 100 }} src={EnciclopediaPR} alt='Logo'></IonImg>
                <IonTitle>Hogar</IonTitle>
              </IonCol>
              <IonCol></IonCol>
            </IonRow>
          </IonGrid>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonCard>
          <IonCardHeader>
            <IonCardTitle>Biografías</IonCardTitle>
            <IonCardSubtitle>Lista de todas las biografías</IonCardSubtitle>
          </IonCardHeader>
          <IonNavLink routerDirection="forward" component={() => <ListBiographies />}>
            <IonButton size="default" expand="block" shape="round">
              Buscar
            </IonButton>
          </IonNavLink>
        </IonCard>
        <IonCard>
          <IonCardHeader>
            <IonCardTitle>Cápsulas</IonCardTitle>
            <IonCardSubtitle>Lista de todas las cápsulas</IonCardSubtitle>
          </IonCardHeader>
          <IonNavLink routerDirection="forward" component={() => <ListCapsules />}>
            <IonButton size="default" expand="block" shape="round">
              Buscar
            </IonButton>
          </IonNavLink>
        </IonCard>
      </IonContent>
      <IonFooter>
        <IonToolbar>
          <IonNavLink routerDirection="forward" component={() => <AboutUs />}>
            <IonTabButton tab="AboutUs" href="/AboutUs">
              <IonIcon icon={square} />
              <IonLabel>Sobre nosotros</IonLabel>
            </IonTabButton>
          </IonNavLink>
        </IonToolbar>
      </IonFooter>
    </IonPage>
  );
};

export default HomePage;
