import {
  IonImg,
  IonCard,
  IonCardContent,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonSearchbar,
  IonContent,
  IonHeader,
  IonPage,
  IonTitle,
  IonToolbar,
  IonButton,
  IonNavLink,
  IonFooter,
  IonTabButton,
  IonIcon,
  IonGrid,
  IonRow,
  IonCol
} from '@ionic/react';
import { arrowBack } from 'ionicons/icons';
import './ListBiographies.css';
import Biography from './Biography';
import Questions from './Questions';
import HomePage from './HomePage';
import EnciclopediaPR from '../assets/EnciclopediaPR.png';
import RobertoClemente from '../assets/RobertoClemente.jpg';
import ListBio from '../data/Biograph.json';

const ListBiographies: React.FC = () => {
  return (
    <IonPage>
      <IonHeader>
        <IonToolbar>
          <IonGrid fixed={true}>
            <IonRow>
              <IonCol></IonCol>
              <IonCol>
                <IonImg style={{ height: 50, width: 100 }} src={EnciclopediaPR} alt='Logo'></IonImg>
                <IonTitle>Lista de Biografías</IonTitle>
              </IonCol>
              <IonCol></IonCol>
            </IonRow>
          </IonGrid>
        </IonToolbar>
      </IonHeader>
      <IonContent fullscreen>
        <IonSearchbar></IonSearchbar>

        {
          ListBio && ListBio.map(listbio => {
            return (
              <>
                <IonCard>
                  <IonImg style={{ height: 300, width: 600 }} src={RobertoClemente} alt='Logo'></IonImg>
                  <IonCardHeader>
                    <IonCardTitle>{listbio.title}</IonCardTitle>
                    <IonCardSubtitle>{listbio.tags}</IonCardSubtitle>
                  </IonCardHeader><IonCardContent>
                    {listbio.content}
                  </IonCardContent>
                  <IonNavLink routerDirection="forward" component={() => <Biography />}>
                    <IonButton>Go to</IonButton>
                  </IonNavLink>

                  <IonNavLink routerDirection="forward" component={() => <Questions />}>
                    <IonButton>Tomar quiz</IonButton>
                  </IonNavLink>

                </IonCard>
              </>
            )
          })
        }


      </IonContent>
      <IonFooter>
        <IonToolbar>
          <IonNavLink routerDirection="forward" component={() => <HomePage />}>
            <IonTabButton tab="HomePage" href="/HomePage">
              <IonIcon icon={arrowBack} />
            </IonTabButton>
          </IonNavLink>
        </IonToolbar>
      </IonFooter>
    </IonPage>
  );
};

export default ListBiographies;
