import {
    IonPage,
    IonContent,
    IonHeader,
    IonTitle,
    IonToolbar,
    IonFooter,
    IonNavLink,
    IonTabButton,
    IonIcon,
    IonImg,
    IonItem,
    IonLabel,
    IonList,
    IonCard,
    IonCardContent,
    IonCardHeader,
    IonCardSubtitle,
    IonCardTitle,
    IonButton,
    IonGrid,
    IonRow,
    IonCol,
    IonRadioGroup,
    IonRadio
} from '@ionic/react';
import { arrowBack } from 'ionicons/icons';
import React, {useState} from 'react';
//import { Form } from 'react-bootstrap';
import './Questions.css';
import Biography from './Biography';
import EnciclopediaPR from '../assets/EnciclopediaPR.png';
import RobertoClemente from '../assets/RobertoClemente.jpg';
import Quizzes from '../data/Quizzes.json';


const Questions: React.FC = () => {

    const [res1, setRes1] = useState();
    const [res2, setRes2] = useState();
    const [res3, setRes3] = useState();
    const [res4, setRes4] = useState();

    const verificarRes = () => {
        return console.log([res1, res2, res3, res4])
    };

    return (
        <IonPage>
            <IonHeader>
                <IonToolbar>
                    <IonGrid fixed={true}>
                        <IonRow>
                            <IonCol></IonCol>
                            <IonCol>
                                <IonImg style={{ height: 50, width: 100 }} src={EnciclopediaPR} alt='Logo'></IonImg>
                                <IonTitle>Quiz</IonTitle>
                            </IonCol>
                            <IonCol></IonCol>
                        </IonRow>
                    </IonGrid>
                </IonToolbar>
            </IonHeader>

            <IonContent fullscreen className="ion-padding">
                <IonImg style={{ height: 300, width: 600 }} src={RobertoClemente} alt='Logo'></IonImg>

                {
                    Quizzes && Quizzes.map(quizzes => {
                        return (
                        quizzes.id == 1 ? <>
                        <h1>Quiz sobre la biografia de {quizzes.title}</h1>

                        <p>Marque una respuesta por pregunta</p>

                        <IonCard>
                            <IonCardHeader>
                                <IonCardTitle>{quizzes['pregunta-1']}</IonCardTitle>
                                <IonCardSubtitle></IonCardSubtitle>
                            </IonCardHeader>
                            <IonCardContent>
                                <IonList>
                                    <IonRadioGroup value={res1} onIonChange={(e) => setRes1(e.detail.value)}>
                                        <IonItem>
                                            <IonLabel>{quizzes['res-1-1']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-1-1']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-1-2']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-1-2']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-1-3']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-1-3']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-1-4']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-1-4']}></IonRadio>
                                        </IonItem>
                                    </IonRadioGroup>
                                </IonList>
                            </IonCardContent>
                        </IonCard>

                        <IonCard>
                            <IonCardHeader>
                                <IonCardTitle>{quizzes['pregunta-2']}</IonCardTitle>
                                <IonCardSubtitle></IonCardSubtitle>
                            </IonCardHeader>
                            <IonCardContent>
                                <IonList>
                                    <IonRadioGroup value={res2} onIonChange={(e) => setRes2(e.detail.value)}>
                                        <IonItem>
                                            <IonLabel>{quizzes['res-2-1']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-2-1']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-2-2']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-2-2']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-2-3']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-2-3']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-2-4']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-2-4']}></IonRadio>
                                        </IonItem>
                                    </IonRadioGroup>
                                </IonList>
                            </IonCardContent>
                        </IonCard>

                        <IonCard>
                            <IonCardHeader>
                                <IonCardTitle>{quizzes['pregunta-3']}</IonCardTitle>
                                <IonCardSubtitle></IonCardSubtitle>
                            </IonCardHeader>
                            <IonCardContent>
                                <IonList>
                                    <IonRadioGroup value={res3} onIonChange={(e) => setRes3(e.detail.value)}>
                                        <IonItem>
                                            <IonLabel>{quizzes['res-3-1']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-3-1']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-3-2']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-3-2']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-3-3']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-3-3']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-3-4']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-3-4']}></IonRadio>
                                        </IonItem>
                                    </IonRadioGroup>
                                </IonList>
                            </IonCardContent>
                        </IonCard>

                        <IonCard>
                            <IonCardHeader>
                                <IonCardTitle>{quizzes['pregunta-4']}</IonCardTitle>
                                <IonCardSubtitle></IonCardSubtitle>
                            </IonCardHeader>
                            <IonCardContent>
                                <IonList>
                                    <IonRadioGroup value={res4} onIonChange={(e) => setRes4(e.detail.value)}>
                                        <IonItem>
                                            <IonLabel>{quizzes['res-4-1']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-4-1']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-4-2']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-4-2']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-4-3']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-4-3']}></IonRadio>
                                        </IonItem>

                                        <IonItem>
                                            <IonLabel>{quizzes['res-4-4']}</IonLabel>
                                            <IonRadio slot="end" value={quizzes['res-4-4']}></IonRadio>
                                        </IonItem>
                                    </IonRadioGroup>
                                </IonList>
                            </IonCardContent>
                        </IonCard>
                    </> : null
                        )
                    })
                }


                <IonButton onClick={verificarRes}>Verificar respuestas</IonButton>

            </IonContent>

            <IonFooter>
                <IonToolbar>
                    <IonNavLink routerDirection="forward" component={() => <Biography />}>
                        <IonTabButton tab="Biography" href="/Biography">
                            <IonIcon icon={arrowBack} />
                        </IonTabButton>
                    </IonNavLink>
                </IonToolbar>
            </IonFooter>
        </IonPage>
    );
};

export default Questions;